{
  num: -2014,
  accuracy: 100,
  basePower: 200,
  basePowerCallback(pokemon, target, move) {
    if (pokemon.hp <= Math.floor(pokemon.maxhp / 2)) return 100;
    return 200;
  },
  category: "Special",
  name: "Fission Blast",
  pp: 5,
  priority: 0,
  flags: { protect: 1, mirror: 1 },
  selfdestruct: "always",
  onTryMove(source, target, move) {
    for (const p of this.getAllActive()) {
      if (p.hasAbility && p.hasAbility("damp") && !p.ignoringAbility()) {
        this.add("-ability", p, "Damp");
        this.add("-fail", source, "move: Fission Blast");
        return false;
      }
    }
  },
  secondary: null,
  target: "normal",
  type: "Fire"
}
